## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQueryModelAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory

Direct Known Subclasses:
  SQLQueryModelItemProviderAdapterFactory

    public class SQLQueryModelAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLQueryModelPackage`

Constructor Summary
`SQLQueryModelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createColumnNameAdapter()` Creates a new adapter for an object of class '`Column Name`'.
`Adapter` `createCursorReferenceAdapter()` Creates a new adapter for an object of class '`Cursor Reference`'.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createGroupingAdapter()` Creates a new adapter for an object of class '`Grouping`'.
`Adapter` `createGroupingExpressionAdapter()` Creates a new adapter for an object of class '`Grouping Expression`'.
`Adapter` `createGroupingSetsAdapter()` Creates a new adapter for an object of class '`Grouping Sets`'.
`Adapter` `createGroupingSetsElementAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element`'.
`Adapter` `createGroupingSetsElementExpressionAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element Expression`'.
`Adapter` `createGroupingSetsElementSublistAdapter()` Creates a new adapter for an object of class '`Grouping Sets Element Sublist`'.
`Adapter` `createGroupingSpecificationAdapter()` Creates a new adapter for an object of class '`Grouping Specification`'.
`Adapter` `createOrderByOrdinalAdapter()` Creates a new adapter for an object of class '`Order By Ordinal`'.
`Adapter` `createOrderByResultColumnAdapter()` Creates a new adapter for an object of class '`Order By Result Column`'.
`Adapter` `createOrderBySpecificationAdapter()` Creates a new adapter for an object of class '`Order By Specification`'.
`Adapter` `createOrderByValueExpressionAdapter()` Creates a new adapter for an object of class '`Order By Value Expression`'.
`Adapter` `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
`Adapter` `createPredicateBasicAdapter()` Creates a new adapter for an object of class '`Predicate Basic`'.
`Adapter` `createPredicateBetweenAdapter()` Creates a new adapter for an object of class '`Predicate Between`'.
`Adapter` `createPredicateExistsAdapter()` Creates a new adapter for an object of class '`Predicate Exists`'.
`Adapter` `createPredicateInAdapter()` Creates a new adapter for an object of class '`Predicate In`'.
`Adapter` `createPredicateInValueListAdapter()` Creates a new adapter for an object of class '`Predicate In Value List`'.
`Adapter` `createPredicateInValueRowSelectAdapter()` Creates a new adapter for an object of class '`Predicate In Value Row Select`'.
`Adapter` `createPredicateInValueSelectAdapter()` Creates a new adapter for an object of class '`Predicate In Value Select`'.
`Adapter` `createPredicateIsNullAdapter()` Creates a new adapter for an object of class '`Predicate Is Null`'.
`Adapter` `createPredicateLikeAdapter()` Creates a new adapter for an object of class '`Predicate Like`'.
`Adapter` `createPredicateQuantifiedAdapter()` Creates a new adapter for an object of class '`Predicate Quantified`'.
`Adapter` `createPredicateQuantifiedRowSelectAdapter()` Creates a new adapter for an object of class '`Predicate Quantified Row Select`'.
`Adapter` `createPredicateQuantifiedValueSelectAdapter()` Creates a new adapter for an object of class '`Predicate Quantified Value Select`'.
`Adapter` `createQueryChangeStatementAdapter()` Creates a new adapter for an object of class '`Query Change Statement`'.
`Adapter` `createQueryCombinedAdapter()` Creates a new adapter for an object of class '`Query Combined`'.
`Adapter` `createQueryDeleteStatementAdapter()` Creates a new adapter for an object of class '`Query Delete Statement`'.
`Adapter` `createQueryExpressionAdapter()` Creates a new adapter for an object of class '`Query Expression`'.
`Adapter` `createQueryExpressionBodyAdapter()` Creates a new adapter for an object of class '`Query Expression Body`'.
`Adapter` `createQueryExpressionRootAdapter()` Creates a new adapter for an object of class '`Query Expression Root`'.
`Adapter` `createQueryInsertStatementAdapter()` Creates a new adapter for an object of class '`Query Insert Statement`'.
`Adapter` `createQueryMergeStatementAdapter()` Creates a new adapter for an object of class '`Query Merge Statement`'.
`Adapter` `createQueryNestedAdapter()` Creates a new adapter for an object of class '`Query Nested`'.
`Adapter` `createQueryResultSpecificationAdapter()` Creates a new adapter for an object of class '`Query Result Specification`'.
`Adapter` `createQuerySearchConditionAdapter()` Creates a new adapter for an object of class '`Query Search Condition`'.
`Adapter` `createQuerySelectAdapter()` Creates a new adapter for an object of class '`Query Select`'.
`Adapter` `createQuerySelectStatementAdapter()` Creates a new adapter for an object of class '`Query Select Statement`'.
`Adapter` `createQueryStatementAdapter()` Creates a new adapter for an object of class '`Query Statement`'.
`Adapter` `createQueryUpdateStatementAdapter()` Creates a new adapter for an object of class '`Query Update Statement`'.
`Adapter` `createQueryValueExpressionAdapter()` Creates a new adapter for an object of class '`Query Value Expression`'.
`Adapter` `createQueryValuesAdapter()` Creates a new adapter for an object of class '`Query Values`'.
`Adapter` `createResultColumnAdapter()` Creates a new adapter for an object of class '`Result Column`'.
`Adapter` `createResultTableAllColumnsAdapter()` Creates a new adapter for an object of class '`Result Table All Columns`'.
`Adapter` `createSearchConditionAdapter()` Creates a new adapter for an object of class '`Search Condition`'.
`Adapter` `createSearchConditionCombinedAdapter()` Creates a new adapter for an object of class '`Search Condition Combined`'.
`Adapter` `createSearchConditionNestedAdapter()` Creates a new adapter for an object of class '`Search Condition Nested`'.
`Adapter` `createSQLDataChangeStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Change Statement`'.
`Adapter` `createSQLDataStatementAdapter()` Creates a new adapter for an object of class '`SQL Data Statement`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createSQLQueryObjectAdapter()` Creates a new adapter for an object of class '`SQL Query Object`'.
`Adapter` `createSQLStatementAdapter()` Creates a new adapter for an object of class '`SQL Statement`'.
`Adapter` `createSuperGroupAdapter()` Creates a new adapter for an object of class '`Super Group`'.
`Adapter` `createSuperGroupElementAdapter()` Creates a new adapter for an object of class '`Super Group Element`'.
`Adapter` `createSuperGroupElementExpressionAdapter()` Creates a new adapter for an object of class '`Super Group Element Expression`'.
`Adapter` `createSuperGroupElementSublistAdapter()` Creates a new adapter for an object of class '`Super Group Element Sublist`'.
`Adapter` `createTableCorrelationAdapter()` Creates a new adapter for an object of class '`Table Correlation`'.
`Adapter` `createTableExpressionAdapter()` Creates a new adapter for an object of class '`Table Expression`'.
`Adapter` `createTableFunctionAdapter()` Creates a new adapter for an object of class '`Table Function`'.
`Adapter` `createTableInDatabaseAdapter()` Creates a new adapter for an object of class '`Table In Database`'.
`Adapter` `createTableJoinedAdapter()` Creates a new adapter for an object of class '`Table Joined`'.
`Adapter` `createTableNestedAdapter()` Creates a new adapter for an object of class '`Table Nested`'.
`Adapter` `createTableReferenceAdapter()` Creates a new adapter for an object of class '`Table Reference`'.
`Adapter` `createUpdateAssignmentExpressionAdapter()` Creates a new adapter for an object of class '`Update Assignment Expression`'.
`Adapter` `createUpdateSourceAdapter()` Creates a new adapter for an object of class '`Update Source`'.
`Adapter` `createUpdateSourceExprListAdapter()` Creates a new adapter for an object of class '`Update Source Expr List`'.
`Adapter` `createUpdateSourceQueryAdapter()` Creates a new adapter for an object of class '`Update Source Query`'.
`Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'.
`Adapter` `createValueExpressionAtomicAdapter()` Creates a new adapter for an object of class '`Value Expression Atomic`'.
`Adapter` `createValueExpressionCaseAdapter()` Creates a new adapter for an object of class '`Value Expression Case`'.
`Adapter` `createValueExpressionCaseElseAdapter()` Creates a new adapter for an object of class '`Value Expression Case Else`'.
`Adapter` `createValueExpressionCaseSearchAdapter()` Creates a new adapter for an object of class '`Value Expression Case Search`'.
`Adapter` `createValueExpressionCaseSearchContentAdapter()` Creates a new adapter for an object of class '`Value Expression Case Search Content`'.
`Adapter` `createValueExpressionCaseSimpleAdapter()` Creates a new adapter for an object of class '`Value Expression Case Simple`'.
`Adapter` `createValueExpressionCaseSimpleContentAdapter()` Creates a new adapter for an object of class '`Value Expression Case Simple Content`'.
`Adapter` `createValueExpressionCastAdapter()` Creates a new adapter for an object of class '`Value Expression Cast`'.
`Adapter` `createValueExpressionColumnAdapter()` Creates a new adapter for an object of class '`Value Expression Column`'.
`Adapter` `createValueExpressionCombinedAdapter()` Creates a new adapter for an object of class '`Value Expression Combined`'.
`Adapter` `createValueExpressionDefaultValueAdapter()` Creates a new adapter for an object of class '`Value Expression Default Value`'.
`Adapter` `createValueExpressionFunctionAdapter()` Creates a new adapter for an object of class '`Value Expression Function`'.
`Adapter` `createValueExpressionLabeledDurationAdapter()` Creates a new adapter for an object of class '`Value Expression Labeled Duration`'.
`Adapter` `createValueExpressionNestedAdapter()` Creates a new adapter for an object of class '`Value Expression Nested`'.
`Adapter` `createValueExpressionNullValueAdapter()` Creates a new adapter for an object of class '`Value Expression Null Value`'.
`Adapter` `createValueExpressionScalarSelectAdapter()` Creates a new adapter for an object of class '`Value Expression Scalar Select`'.
`Adapter` `createValueExpressionSimpleAdapter()` Creates a new adapter for an object of class '`Value Expression Simple`'.
`Adapter` `createValueExpressionVariableAdapter()` Creates a new adapter for an object of class '`Value Expression Variable`'.
`Adapter` `createValuesRowAdapter()` Creates a new adapter for an object of class '`Values Row`'.
`Adapter` `createWithTableReferenceAdapter()` Creates a new adapter for an object of class '`With Table Reference`'.
`Adapter` `createWithTableSpecificationAdapter()` Creates a new adapter for an object of class '`With Table Specification`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryModelAdapterFactory

    public SQLQueryModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createQueryStatementAdapter

    public Adapter createQueryStatementAdapter()

  Creates a new adapter for an object of class '`Query Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryStatement`

### createQueryDeleteStatementAdapter

    public Adapter createQueryDeleteStatementAdapter()

  Creates a new adapter for an object of class '`Query Delete Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryDeleteStatement`

### createQueryInsertStatementAdapter

    public Adapter createQueryInsertStatementAdapter()

  Creates a new adapter for an object of class '`Query Insert Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryInsertStatement`

### createQuerySelectStatementAdapter

    public Adapter createQuerySelectStatementAdapter()

  Creates a new adapter for an object of class '`Query Select Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySelectStatement`

### createQueryUpdateStatementAdapter

    public Adapter createQueryUpdateStatementAdapter()

  Creates a new adapter for an object of class '`Query Update Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryUpdateStatement`

### createUpdateAssignmentExpressionAdapter

    public Adapter createUpdateAssignmentExpressionAdapter()

  Creates a new adapter for an object of class '`Update Assignment Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateAssignmentExpression`

### createCursorReferenceAdapter

    public Adapter createCursorReferenceAdapter()

  Creates a new adapter for an object of class '`Cursor Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CursorReference`

### createQuerySearchConditionAdapter

    public Adapter createQuerySearchConditionAdapter()

  Creates a new adapter for an object of class '`Query Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySearchCondition`

### createQueryExpressionBodyAdapter

    public Adapter createQueryExpressionBodyAdapter()

  Creates a new adapter for an object of class '`Query Expression Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionBody`

### createQueryValueExpressionAdapter

    public Adapter createQueryValueExpressionAdapter()

  Creates a new adapter for an object of class '`Query Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValueExpression`

### createQueryExpressionRootAdapter

    public Adapter createQueryExpressionRootAdapter()

  Creates a new adapter for an object of class '`Query Expression Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionRoot`

### createValuesRowAdapter

    public Adapter createValuesRowAdapter()

  Creates a new adapter for an object of class '`Values Row`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValuesRow`

### createQueryValuesAdapter

    public Adapter createQueryValuesAdapter()

  Creates a new adapter for an object of class '`Query Values`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValues`

### createTableReferenceAdapter

    public Adapter createTableReferenceAdapter()

  Creates a new adapter for an object of class '`Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableReference`

### createTableExpressionAdapter

    public Adapter createTableExpressionAdapter()

  Creates a new adapter for an object of class '`Table Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableExpression`

### createTableJoinedAdapter

    public Adapter createTableJoinedAdapter()

  Creates a new adapter for an object of class '`Table Joined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableJoined`

### createWithTableSpecificationAdapter

    public Adapter createWithTableSpecificationAdapter()

  Creates a new adapter for an object of class '`With Table Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WithTableSpecification`

### createPredicateAdapter

    public Adapter createPredicateAdapter()

  Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Predicate`

### createSearchConditionCombinedAdapter

    public Adapter createSearchConditionCombinedAdapter()

  Creates a new adapter for an object of class '`Search Condition Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchConditionCombined`

### createOrderByValueExpressionAdapter

    public Adapter createOrderByValueExpressionAdapter()

  Creates a new adapter for an object of class '`Order By Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByValueExpression`

### createQueryCombinedAdapter

    public Adapter createQueryCombinedAdapter()

  Creates a new adapter for an object of class '`Query Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryCombined`

### createQuerySelectAdapter

    public Adapter createQuerySelectAdapter()

  Creates a new adapter for an object of class '`Query Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySelect`

### createGroupingSpecificationAdapter

    public Adapter createGroupingSpecificationAdapter()

  Creates a new adapter for an object of class '`Grouping Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSpecification`

### createQueryResultSpecificationAdapter

    public Adapter createQueryResultSpecificationAdapter()

  Creates a new adapter for an object of class '`Query Result Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryResultSpecification`

### createResultTableAllColumnsAdapter

    public Adapter createResultTableAllColumnsAdapter()

  Creates a new adapter for an object of class '`Result Table All Columns`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultTableAllColumns`

### createResultColumnAdapter

    public Adapter createResultColumnAdapter()

  Creates a new adapter for an object of class '`Result Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultColumn`

### createPredicateBasicAdapter

    public Adapter createPredicateBasicAdapter()

  Creates a new adapter for an object of class '`Predicate Basic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateBasic`

### createPredicateQuantifiedAdapter

    public Adapter createPredicateQuantifiedAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantified`

### createPredicateBetweenAdapter

    public Adapter createPredicateBetweenAdapter()

  Creates a new adapter for an object of class '`Predicate Between`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateBetween`

### createPredicateExistsAdapter

    public Adapter createPredicateExistsAdapter()

  Creates a new adapter for an object of class '`Predicate Exists`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateExists`

### createPredicateInAdapter

    public Adapter createPredicateInAdapter()

  Creates a new adapter for an object of class '`Predicate In`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateIn`

### createPredicateLikeAdapter

    public Adapter createPredicateLikeAdapter()

  Creates a new adapter for an object of class '`Predicate Like`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateLike`

### createPredicateIsNullAdapter

    public Adapter createPredicateIsNullAdapter()

  Creates a new adapter for an object of class '`Predicate Is Null`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateIsNull`

### createPredicateQuantifiedValueSelectAdapter

    public Adapter createPredicateQuantifiedValueSelectAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified Value Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedValueSelect`

### createPredicateQuantifiedRowSelectAdapter

    public Adapter createPredicateQuantifiedRowSelectAdapter()

  Creates a new adapter for an object of class '`Predicate Quantified Row Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedRowSelect`

### createPredicateInValueSelectAdapter

    public Adapter createPredicateInValueSelectAdapter()

  Creates a new adapter for an object of class '`Predicate In Value Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueSelect`

### createPredicateInValueListAdapter

    public Adapter createPredicateInValueListAdapter()

  Creates a new adapter for an object of class '`Predicate In Value List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueList`

### createPredicateInValueRowSelectAdapter

    public Adapter createPredicateInValueRowSelectAdapter()

  Creates a new adapter for an object of class '`Predicate In Value Row Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateInValueRowSelect`

### createValueExpressionSimpleAdapter

    public Adapter createValueExpressionSimpleAdapter()

  Creates a new adapter for an object of class '`Value Expression Simple`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionSimple`

### createValueExpressionColumnAdapter

    public Adapter createValueExpressionColumnAdapter()

  Creates a new adapter for an object of class '`Value Expression Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionColumn`

### createValueExpressionVariableAdapter

    public Adapter createValueExpressionVariableAdapter()

  Creates a new adapter for an object of class '`Value Expression Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionVariable`

### createValueExpressionScalarSelectAdapter

    public Adapter createValueExpressionScalarSelectAdapter()

  Creates a new adapter for an object of class '`Value Expression Scalar Select`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionScalarSelect`

### createValueExpressionLabeledDurationAdapter

    public Adapter createValueExpressionLabeledDurationAdapter()

  Creates a new adapter for an object of class '`Value Expression Labeled Duration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionLabeledDuration`

### createValueExpressionCaseAdapter

    public Adapter createValueExpressionCaseAdapter()

  Creates a new adapter for an object of class '`Value Expression Case`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCase`

### createValueExpressionCastAdapter

    public Adapter createValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createValueExpressionNullValueAdapter

    public Adapter createValueExpressionNullValueAdapter()

  Creates a new adapter for an object of class '`Value Expression Null Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNullValue`

### createValueExpressionDefaultValueAdapter

    public Adapter createValueExpressionDefaultValueAdapter()

  Creates a new adapter for an object of class '`Value Expression Default Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionDefaultValue`

### createValueExpressionFunctionAdapter

    public Adapter createValueExpressionFunctionAdapter()

  Creates a new adapter for an object of class '`Value Expression Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCombinedAdapter

    public Adapter createValueExpressionCombinedAdapter()

  Creates a new adapter for an object of class '`Value Expression Combined`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCombined`

### createGroupingSetsAdapter

    public Adapter createGroupingSetsAdapter()

  Creates a new adapter for an object of class '`Grouping Sets`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSets`

### createGroupingAdapter

    public Adapter createGroupingAdapter()

  Creates a new adapter for an object of class '`Grouping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Grouping`

### createGroupingSetsElementAdapter

    public Adapter createGroupingSetsElementAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElement`

### createGroupingSetsElementSublistAdapter

    public Adapter createGroupingSetsElementSublistAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element Sublist`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementSublist`

### createGroupingSetsElementExpressionAdapter

    public Adapter createGroupingSetsElementExpressionAdapter()

  Creates a new adapter for an object of class '`Grouping Sets Element Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementExpression`

### createSuperGroupAdapter

    public Adapter createSuperGroupAdapter()

  Creates a new adapter for an object of class '`Super Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroup`

### createGroupingExpressionAdapter

    public Adapter createGroupingExpressionAdapter()

  Creates a new adapter for an object of class '`Grouping Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GroupingExpression`

### createSuperGroupElementAdapter

    public Adapter createSuperGroupElementAdapter()

  Creates a new adapter for an object of class '`Super Group Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElement`

### createSuperGroupElementSublistAdapter

    public Adapter createSuperGroupElementSublistAdapter()

  Creates a new adapter for an object of class '`Super Group Element Sublist`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementSublist`

### createSuperGroupElementExpressionAdapter

    public Adapter createSuperGroupElementExpressionAdapter()

  Creates a new adapter for an object of class '`Super Group Element Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementExpression`

### createValueExpressionCaseSearchAdapter

    public Adapter createValueExpressionCaseSearchAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Search`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearch`

### createValueExpressionCaseSimpleAdapter

    public Adapter createValueExpressionCaseSimpleAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Simple`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimple`

### createValueExpressionCaseElseAdapter

    public Adapter createValueExpressionCaseElseAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Else`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseElse`

### createValueExpressionCaseSearchContentAdapter

    public Adapter createValueExpressionCaseSearchContentAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Search Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearchContent`

### createValueExpressionCaseSimpleContentAdapter

    public Adapter createValueExpressionCaseSimpleContentAdapter()

  Creates a new adapter for an object of class '`Value Expression Case Simple Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimpleContent`

### createTableInDatabaseAdapter

    public Adapter createTableInDatabaseAdapter()

  Creates a new adapter for an object of class '`Table In Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableInDatabase`

### createTableFunctionAdapter

    public Adapter createTableFunctionAdapter()

  Creates a new adapter for an object of class '`Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createSQLQueryObjectAdapter

    public Adapter createSQLQueryObjectAdapter()

  Creates a new adapter for an object of class '`SQL Query Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLQueryObject`

### createQueryChangeStatementAdapter

    public Adapter createQueryChangeStatementAdapter()

  Creates a new adapter for an object of class '`Query Change Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryChangeStatement`

### createColumnNameAdapter

    public Adapter createColumnNameAdapter()

  Creates a new adapter for an object of class '`Column Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColumnName`

### createTableNestedAdapter

    public Adapter createTableNestedAdapter()

  Creates a new adapter for an object of class '`Table Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableNested`

### createQueryMergeStatementAdapter

    public Adapter createQueryMergeStatementAdapter()

  Creates a new adapter for an object of class '`Query Merge Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryMergeStatement`

### createSearchConditionNestedAdapter

    public Adapter createSearchConditionNestedAdapter()

  Creates a new adapter for an object of class '`Search Condition Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchConditionNested`

### createValueExpressionNestedAdapter

    public Adapter createValueExpressionNestedAdapter()

  Creates a new adapter for an object of class '`Value Expression Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNested`

### createValueExpressionAtomicAdapter

    public Adapter createValueExpressionAtomicAdapter()

  Creates a new adapter for an object of class '`Value Expression Atomic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionAtomic`

### createOrderBySpecificationAdapter

    public Adapter createOrderBySpecificationAdapter()

  Creates a new adapter for an object of class '`Order By Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderBySpecification`

### createOrderByOrdinalAdapter

    public Adapter createOrderByOrdinalAdapter()

  Creates a new adapter for an object of class '`Order By Ordinal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByOrdinal`

### createTableCorrelationAdapter

    public Adapter createTableCorrelationAdapter()

  Creates a new adapter for an object of class '`Table Correlation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableCorrelation`

### createUpdateSourceAdapter

    public Adapter createUpdateSourceAdapter()

  Creates a new adapter for an object of class '`Update Source`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSource`

### createUpdateSourceExprListAdapter

    public Adapter createUpdateSourceExprListAdapter()

  Creates a new adapter for an object of class '`Update Source Expr List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSourceExprList`

### createUpdateSourceQueryAdapter

    public Adapter createUpdateSourceQueryAdapter()

  Creates a new adapter for an object of class '`Update Source Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateSourceQuery`

### createOrderByResultColumnAdapter

    public Adapter createOrderByResultColumnAdapter()

  Creates a new adapter for an object of class '`Order By Result Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderByResultColumn`

### createWithTableReferenceAdapter

    public Adapter createWithTableReferenceAdapter()

  Creates a new adapter for an object of class '`With Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WithTableReference`

### createQueryNestedAdapter

    public Adapter createQueryNestedAdapter()

  Creates a new adapter for an object of class '`Query Nested`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryNested`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSQLStatementAdapter

    public Adapter createSQLStatementAdapter()

  Creates a new adapter for an object of class '`SQL Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLStatement`

### createSQLDataStatementAdapter

    public Adapter createSQLDataStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataStatement`

### createSQLDataChangeStatementAdapter

    public Adapter createSQLDataChangeStatementAdapter()

  Creates a new adapter for an object of class '`SQL Data Change Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataChangeStatement`

### createSearchConditionAdapter

    public Adapter createSearchConditionAdapter()

  Creates a new adapter for an object of class '`Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchCondition`

### createValueExpressionAdapter

    public Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`

### createQueryExpressionAdapter

    public Adapter createQueryExpressionAdapter()

  Creates a new adapter for an object of class '`Query Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpression`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.